how to create 3.5.7 (or -.8) maven skeleton appication

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

how to create 3.5.7 (or -.8) maven skeleton appication

Gustav Spellauge
hello,

following http://tapestry.apache.org/creating-the-skeleton-application.html i tried to create rhe ts-5.3.7 skeleton application. this failed with

Could not resolve archetype org.apache.tapestry:quickstart:5.3.7 from any of the configured repositories.
Could not resolve artifact org.apache.tapestry:quickstart:pom:5.3.7
Failure to transfer org.apache.tapestry:quickstart:pom:5.3.7 from https://repo.maven.apache.org/maven2 was cached in the local repository, resolution will not be reattempted until the update interval of central has elapsed or updates are forced. Original error: Could not transfer artifact org.apache.tapestry:quickstart:pom:5.3.7 from/to central (https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target
Failure to transfer org.apache.tapestry:quickstart:pom:5.3.7 from https://repo.maven.apache.org/maven2 was cached in the local repository, resolution will not be reattempted until the update interval of central has elapsed or updates are forced. Original error: Could not transfer artifact org.apache.tapestry:quickstart:pom:5.3.7 from/to central (https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target

creating a ts-5.4.3 application works without any problem.

btw: i know that it would be betzter to go for ts-5.4 but this seems to be kind of (@Import) incompatible with my existing code base - i'll try this later when i'm not short of time.


thanks in advance for your answer


gustav
Reply | Threaded
Open this post in threaded view
|

Re: how to create 3.5.7 (or -.8) maven skeleton appication

Thiago H de Paula Figueiredo
On Fri, Feb 8, 2019 at 10:25 AM Gustav Spellauge <
[hidden email]> wrote:

> hello,
>

Hello!


>
> following
> http://tapestry.apache.org/creating-the-skeleton-application.html i tried
> to create rhe ts-5.3.7 skeleton application. this failed with
>

This is weird, since the Maven's own listing of Quickstart versions does
include 5.3.7:
https://search.maven.org/search?q=g:org.apache.tapestry%20AND%20a:quickstart&core=gav
.
You could try 5.3.8, since it's the last release of that major version
(5.3.x)


> btw: i know that it would be betzter to go for ts-5.4 but this seems to be
> kind of (@Import) incompatible with my existing code base - i'll try this
> later when i'm not short of time.
>

@Import was introduced in Tapestry 5.2, so I guess you're using 5.1.x.

--
Thiago